package de.ozgcloud.document.bescheid;

import java.io.File;
import java.util.List;
import java.util.Optional;

import de.ozgcloud.document.bescheid.vorgang.Vorgang.ServiceKonto;
import de.ozgcloud.document.bescheid.vorgang.VorgangId;
import de.ozgcloud.common.binaryfile.FileId;
import lombok.Builder;
import lombok.Getter;
import lombok.Singular;
import lombok.With;

@Builder(toBuilder = true)
@Getter
public class BescheidResponse {

	private VorgangId vorgangId;

	private boolean bewilligt;
	private UserId createdBy;

	private String bescheidFileName;
	private File bescheidFile;
	@With
	private FileId bescheidFileId;
	private String contentType;
	private long size;

	@Builder.Default
	private Optional<String> nachrichtSubject = Optional.empty();
	@Builder.Default
	private Optional<String> nachrichtText = Optional.empty();

	@Singular
	private List<FileId> attachments;

	private ServiceKonto serviceKonto;
}