package de.ozgcloud.document.bescheid;

import java.time.LocalDate;

import de.ozgcloud.document.bescheid.common.user.UserProfileTestFactory;
import de.ozgcloud.document.bescheid.vorgang.VorgangId;
import de.ozgcloud.document.bescheid.vorgang.VorgangTestFactory;

public class BescheidRequestTestFactory {

	static final VorgangId VORGANG_ID = VorgangTestFactory.ID;
	static final String BESCHEID_VOM_STRING = "2023-01-04";
	static final LocalDate BESCHEID_VOM = LocalDate.parse(BESCHEID_VOM_STRING);
	static final boolean GENEHMIGT = true;

	public static BescheidRequest create() {
		return createBuilder().build();
	}

	public static BescheidRequest.BescheidRequestBuilder createBuilder() {
		return BescheidRequest.builder()
				.vorgangId(VORGANG_ID)
				.bescheidVom(BESCHEID_VOM)
				.genehmigt(GENEHMIGT)
				.createFor(UserProfileTestFactory.create());

	}
}
