package de.ozgcloud.document.bescheid;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.info.BuildProperties;
import org.springframework.boot.test.mock.mockito.MockBean;
import org.springframework.cloud.endpoint.RefreshEndpoint;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.security.authentication.AuthenticationTrustResolver;
import org.springframework.security.authentication.AuthenticationTrustResolverImpl;

@SpringBootApplication
@ComponentScan({ "de.ozgcloud.*" })
public class BescheidTestApplication {

	@MockBean
	private BuildProperties buildProperties;
	@MockBean
	private RefreshEndpoint refreshEndpoint;

	@Bean
	AuthenticationTrustResolver trustResolver() {
		return new AuthenticationTrustResolverImpl();
	}
}
